# Class AbstractClasspathEntry

java.lang.Object
org.gradle.plugins.ide.eclipse.model.AbstractClasspathEntry

All Implemented Interfaces:
  `ClasspathEntry`

Direct Known Subclasses:
  `AbstractLibrary, Container, ProjectDependency, SourceFolder`

public abstract class AbstractClasspathEntry extends Object implements ClasspathEntry
Common superclass for all `ClasspathEntry` instances.

Since:
  1.0

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected Set<AccessRule>`
  `accessRules`
  The access rules.
  `static final String`
  `COMPONENT_DEPENDENCY_ATTRIBUTE`
  The component dependency attribute.
  `static final String`
  `COMPONENT_NON_DEPENDENCY_ATTRIBUTE`
  The component non dependency attribute.
  `protected final Map<String,Object>`
  `entryAttributes`
  The entry attributes.
  `protected boolean`
  `exported`
  The exported.
  `protected String`
  `path`
  The path.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AbstractClasspathEntry(Node node)`
  Creates a new `AbstractClasspathEntry`.
  `AbstractClasspathEntry(String path)`
  Creates a new `AbstractClasspathEntry`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Node`
  `addClasspathEntry(Node node, Map<String,?> attributes)`
  Add classpath entry.
  `void`
  `appendNode(Node node)`
  Append node.
  `boolean`
  `equals(Object o)`
  `Set<AccessRule>`
  `getAccessRules()`
  Returns the access rules.
  `Map<String,Object>`
  `getEntryAttributes()`
  Returns the entry attributes.
  `String`
  `getNativeLibraryLocation()`
  Returns the native library location.
  `String`
  `getPath()`
  Returns the path.
  `int`
  `hashCode()`
  `boolean`
  `isExported()`
  Returns whether exported is set.
  `protected String`
  `normalizePath(String path)`
  Normalize path.
  `void`
  `setAccessRules(Set<AccessRule> accessRules)`
  Sets the access rules.
  `void`
  `setExported(boolean exported)`
  Sets the exported.
  `void`
  `setNativeLibraryLocation(String location)`
  Sets the native library location.
  `void`
  `setPath(String path)`
  Sets the path.
  `String`
  `toString()`
  `void`
  `writeEntryAttributes(Node node)`
  Write entry attributes.

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ClasspathEntry

  `getKind`

- ## Field Details

  - ### COMPONENT_NON_DEPENDENCY_ATTRIBUTE

    public static final String COMPONENT_NON_DEPENDENCY_ATTRIBUTE
    The component non dependency attribute.
    Since:
      1.0
    See Also:
      - Constant Field Values

  - ### COMPONENT_DEPENDENCY_ATTRIBUTE

    public static final String COMPONENT_DEPENDENCY_ATTRIBUTE
    The component dependency attribute.
    Since:
      1.0
    See Also:
      - Constant Field Values

  - ### path

    protected String path
    The path.
    Since:
      2.14

  - ### exported

    protected boolean exported
    The exported.
    Since:
      2.14

  - ### accessRules

    protected Set<AccessRule> accessRules
    The access rules.
    Since:
      2.14

  - ### entryAttributes

    protected final Map<String,Object> entryAttributes
    The entry attributes.
    Since:
      2.14

- ## Constructor Details

  - ### AbstractClasspathEntry

    public AbstractClasspathEntry(Node node)
    Creates a new `AbstractClasspathEntry`.
    Since:
      1.0

  - ### AbstractClasspathEntry

    public AbstractClasspathEntry(String path)
    Creates a new `AbstractClasspathEntry`.
    Since:
      1.0

- ## Method Details

  - ### getPath

    public String getPath()
    Returns the path.
    Since:
      1.0

  - ### setPath

    public void setPath(String path)
    Sets the path.
    Since:
      1.0

  - ### isExported

    public boolean isExported()
    Returns whether exported is set.
    Since:
      1.0

  - ### setExported

    public void setExported(boolean exported)
    Sets the exported.
    Since:
      1.0

  - ### getAccessRules

    public Set<AccessRule> getAccessRules()
    Returns the access rules.
    Since:
      1.0

  - ### setAccessRules

    public void setAccessRules(Set<AccessRule> accessRules)
    Sets the access rules.
    Since:
      1.0

  - ### getEntryAttributes

    public Map<String,Object> getEntryAttributes()
    Returns the entry attributes.
    Since:
      1.0

  - ### getNativeLibraryLocation

    public String getNativeLibraryLocation()
    Returns the native library location.
    Since:
      1.0

  - ### setNativeLibraryLocation

    public void setNativeLibraryLocation(String location)
    Sets the native library location.
    Since:
      1.0

  - ### appendNode

    public void appendNode(Node node)
    Description copied from interface: `ClasspathEntry`
    Append node.
    Specified by:
      `appendNode` in interface `ClasspathEntry`

  - ### addClasspathEntry

    protected Node addClasspathEntry(Node node, Map<String,?> attributes)
    Add classpath entry.
    Since:
      1.0

  - ### normalizePath

    protected String normalizePath(String path)
    Normalize path.
    Since:
      1.0

  - ### writeEntryAttributes

    public void writeEntryAttributes(Node node)
    Write entry attributes.
    Since:
      1.0

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`